<?php

// API routes  for search
Route::prefix('{guard}/search')->group(function () {
    Route::get('search/form/{element}', 'SearchAPIController@form');
    Route::resource('search', 'SearchAPIController');
});

// Public routes for search
Route::get('searches/', 'SearchPublicController@index');
Route::get('searches/{slug?}', 'SearchPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for searches
            Route::prefix('{guard}/search')->group(function () {
                Route::get('search/form/{element}', 'SearchAPIController@form');
                Route::apiResource('search', 'SearchAPIController');
            });
            // Public routes for searches
            Route::get('search/Search', 'SearchPublicController@getSearch');
        }
    );
}

