<?php

// web routes  for search
Route::prefix('{guard}/search')->group(function () {
    Route::resource('search', 'SearchResourceController');
});

// Public routes for search
Route::get('searches/', 'SearchPublicController@index');
Route::get('searches/{slug?}', 'SearchPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SearchResourceController');
            });
            // Public routes for pages
            Route::get('searches/', 'SearchPublicController@index');
            Route::get('searches/{slug?}', 'SearchPublicController@show');
        }
    );
}

