<?php

namespace Btravel\Search\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SearchTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Search\Models\Search $search)
    {
        return [
            'id'                => $search->getRouteKey(),
            'key'               => [
                'public'    => $search->getPublicKey(),
                'route'     => $search->getRouteKey(),
            ], 
            'name'              => $search->name,
            'description'       => $search->description,
            'image'             => $search->image,
            'deleted_at'        => $search->deleted_at,
            'url'               => [
                'public'    => trans_url('search/'.$search->getPublicKey()),
                'user'      => guard_url('search/search/'.$search->getRouteKey()),
            ], 
            'status'            => trans('app.'.$search->status),
            'created_at'        => format_date($search->created_at),
            'updated_at'        => format_date($search->updated_at),
        ];
    }
}