<?php

namespace Btravel\Search;

use User;

class Search
{
    /**
     * $search object.
     */
    protected $search;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Search\Interfaces\SearchRepositoryInterface $search)
    {
        $this->search = $search;
    }

    /**
     * Returns count of search.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.search.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->search->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\SearchUserCriteria());
        }

        $search = $this->search->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('search::' . $view, compact('search'))->render();
    }
}
